using System;

namespace prijatelji
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int[] a = new int[n];
            int sreca = 0;
            for(int i = 0; i < n; i++)
            {
                a[i] = int.Parse(Console.ReadLine());
            }
            for(int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split();
                int x = int.Parse(s[0]);
                int y = int.Parse(s[1]);
                if ((a[x-1] + a[y-1]) > (-a[x-1] - a[y-1]))
                {
                    sreca += a[x-1] + a[y-1];
                }
                else
                    sreca += -a[x-1] - a[y-1];
            }
            Console.WriteLine(sreca);
            
        }
    }
}